Skip to main content
GET
/
api
/
v1
/
feed_runs
/
{feed_run_id}
Get a feed run
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/feed_runs/{feed_run_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/feed_runs/{feed_run_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/feed_runs/{feed_run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "carrier_id": "c1ac5a2f-eb19-440d-b770-c5c58e834da3",
  "completed": 1693229599,
  "created": 1693229402,
  "details": {
    "file": {
      "audit": {
        "count": {
          "dependents": 25,
          "enrollments": 200,
          "members": 100,
          "primaries": 75,
          "terminations": 0
        }
      },
      "name": "file.txt"
    },
    "transmission": {
      "id": "55504298-11d6-4933-924b-de69b6c40ba7",
      "sent_timestamp": 1693229505
    }
  },
  "feed_id": "0b30d7fe-ab78-4b2f-b714-36e8a9625481",
  "id": "2ff3d24b-c1e7-40a6-b8da-7e085cc17831",
  "initiated": 1693229402,
  "modified": 1693229599,
  "status": "completed",
  "version": "30c02a09-3713-4b32-a12c-55d33adf748f"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

feed_run_id
string<uuid>
required

Unique identifier of the feed run

Response

200 - application/json

Successful Response - Returns a single feed run

carrier_id
string<uuid>
required
created
integer
required

The date the record was created

details
object
required
feed_id
string<uuid>
required
id
string<uuid>
required

Unique identifier of the record in Noyo

initiated
integer
required
modified
integer
required

The date the record was last updated

status
string
required
version
string<uuid>
required

Current version of the record

completed
integer | null
group_ids
string<uuid>[] | null